Bug 215535 - The network speed from xen0 to HVM guest is slow
The network speed from xen0 to HVM guest is slow
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Herbert Xu
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-11-14 10:56 EST by Chris Lalancette
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-23 18:47:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Lalancette 2006-11-14 10:56:49 EST
Description of problem:
From Intel:
In the testing for RHEL5 Beta2 M5 we found that the network speed from xen0 to
hvm guest is very slow.
The highest speed is 1.8MB/s and the lowest is 20KB/s, the average is 200KB/s.
And Guest==>Xen0 is about 2MB/s, it's also slow .
In unstable tree, the speed should be at least more than 5MB/s.

They also reproduced on M9.  In my own testing on i386, I saw nothing of the
sort; I saw ~7MB/s from dom0 to domU, and ~4MB/s from domU to dom0.  So this may
be hardware dependent.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Herbert Xu 2006-11-14 15:14:20 EST
Is this with qemu? If so please try again with the PV netfront driver.  qemu
drivers are known to be slow due the high emulation overhead.
Comment 3 Herbert Xu 2006-11-29 22:01:09 EST
The PV driver isn't currently part of the baremetal RHEL5 kernel.

Yes you can build it for RHEL5 without rebuilding the entire kernel.

While SMP and 32/64 support may indeed be lacking at this point in time, they're
being addressed upstream.  On the other hand, there really isn't much that can
be done to bring qemu performance to the level of PV performance.
Comment 4 Herbert Xu 2006-11-29 22:03:09 EST
For all practical purposes, if you care about performance you should be using a
PV kernel with RHEL5.

Note You need to log in before you can comment on or make changes to this bug.